@import '../../styles/styles.scss';
@import '../../styles/_variables.scss';

.sidebar{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    height: 100vh;
    z-index: 10;
    //max-width: 440px;
    position: absolute;
    left: -90%;
    top:0;
    background-color: var(--base-color);
    &.visible{
        left: 0;
        transition: all 1s;
    }
    &.hidden{
        left: -100%;
        transition: all 1s;
    }
    @media (min-width: $medium) {

        position:unset;
        width: 19%;
        top: 0;
        border-right: 1px solid var(--accents);
        .close-button{
            display: none;
        }
        transition: all 0s;
    }
}